using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Darkness.Commons;

namespace Test
{
    public partial class TestCommonUtil : Form
    {
        public TestCommonUtil()
        {
            InitializeComponent();
        }

        private void btnTest_Click(object sender, EventArgs e)
        {
            int[] arrA = new int[] { 1, 2, 3, 4, 5, 6, 7, 8, 9 };
            int[] arrB = new int[] { 2, 4,  6, 8, 10 };
            int[] arrResult = CommonUtil.GetRandom(arrA, 8, arrB);

            lblShowResult.Text += "\n<======";
            foreach (int iData in arrResult)
            {
                lblShowResult.Text += iData + "===";
            }
            lblShowResult.Text += "===>";
        }
    }
}